Page MenuHomeWrite.as

Integrate hashtags
Closed, ResolvedPublic

Description

Overview

We should provide a topic / subject tagging mechanism, through hashtags. Users should generally insert them anywhere in their posts.

Implementation

We already parse out tags for posts. We should store these in a tags table and make tagged posts accessible on users' blogs at write.as/{name}/tags/{tag}.

Known issues
Right now, any hashed part of a URL, especially when pasted or used as a link in Markdown, gets extracted as a tag (issue: {T346})

Design

Tags should be parsed on the server side, and the HTML served with special <span> and <a> tags that make the pound symbol more transparent, but link to the above blog tags URL.

Revisions and Commits

Related Objects

StatusAssignedTask
Resolvedmatt
ThinkingNone
OpenNone
OpenNone

Event Timeline

matt added a subtask: Restricted Maniphest Task.Jul 13 2016, 1:11 AM
matt updated the task description. (Show Details)
matt closed subtask Restricted Maniphest Task as Resolved.Jul 16 2016, 5:38 PM
matt lowered the priority of this task from High to Normal.Sep 3 2016, 5:02 AM
matt edited projects, added Restricted Project; removed API.Sep 15 2016, 12:56 AM
matt created subtask Restricted Maniphest Task.Dec 28 2017, 9:24 PM

This is done, but could still use performance improvements listed here and in T495: List all tags on a blog.

matt closed this task as Resolved by committing Restricted Diffusion Commit.Jan 3 2018, 1:46 PM
matt added a commit: Restricted Diffusion Commit.
matt added a project: Restricted Project.Jan 5 2018, 1:02 AM
matt closed subtask Restricted Maniphest Task as Resolved.Jan 7 2018, 11:33 PM
matt moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Mar 5 2018, 12:26 AM
matt changed the status of subtask T495: List all tags on a blog from Open to Thinking.Dec 21 2018, 1:12 PM
matt changed the visibility from "Restricted Project (Project)" to "Public (No Login Required)".Feb 12 2021, 9:35 PM